| Home | Libraries | People | FAQ | More

#### http::basic_dynamic_body

A Body using a DynamicBuffer

##### Synopsis

Defined in header `<boost/beast/http/basic_dynamic_body_fwd.hpp>`

    template<
        class DynamicBuffer>
    struct basic_dynamic_body

##### Types

Name | Description
--- | ---
reader | The algorithm for parsing the body.
value_type | The type of container used for the body.
writer | The algorithm for serializing the body.

##### Static Member Functions

Name | Description
--- | ---
size | Returns the payload size of the body.

##### Description

This body uses a DynamicBuffer as a memory-based container for holding message payloads. Messages using this body type may be serialized and parsed.